Autore Topic: problema dopo aggiornamento al kernel 2.6.18-238.9.1.el  (Letto 3314 volte)

Offline adrianokr

  • Jr. Member
  • **
  • Post: 42
    • Mostra profilo
    • E-mail
problema dopo aggiornamento al kernel 2.6.18-238.9.1.el
« il: 15 Aprile 2011, 20:24:10 »
Salve a tutti,
dopo il seguente aggiornamento del kernel (il sistema mi segnalava aggiornamenti disponibili) ho iniziato ad avere dei problemi.

Vecchio Kernel: 2.6.18-238.5.1.el5
Nuovo Kernel: 2.6.18-238.9.1.el

Ho un sistema con architettura a 64 bit.

La tipologia di problemi sono principalmente grafici (finestre bloccate, frequenza di aggiornamento del monito bassissima) ma all'avvio ho notato anche che fallisce l'avvio del Virtual Box Kernel (suggerisce di controllare con dmesg). Questi sono i più evidenti.
Scegliendo all'avvio il vecchio kernel torna tutto alla normalità. Come posso risolvere?

grazie
« Ultima modifica: 15 Aprile 2011, 21:52:43 da adrianokr »

Offline LonelyWolf

  • Moderator
  • Hero Member
  • *****
  • Post: 1396
    • Mostra profilo
    • Traversate dei laghi
Re: problema dopo aggiornamento al kernel 2.6.18-238.9.1.el
« Risposta #1 il: 16 Aprile 2011, 10:26:57 »
Puo essere qualche modulo caricato dinamicamente nel kernel che non è compatibile?
Guarda dmesg e eventuali altri log per cercare qualche cosa di strano.

Offline dankan77

  • Moderator
  • Hero Member
  • *****
  • Post: 1365
    • Mostra profilo
    • E-mail
Re: problema dopo aggiornamento al kernel 2.6.18-238.9.1.el
« Risposta #2 il: 16 Aprile 2011, 11:35:01 »
Assicurati di aver aggiornato anche kernel-devel e kernel-header.
Inoltre quando aggiorni il kernel i moduli di virtualbox vanno ricompilati con il comando :

/etc/init.d/vboxdrv setup

Non ultimo, che tipo di repository hai configurati sul sistema?

Ciao

Offline adrianokr

  • Jr. Member
  • **
  • Post: 42
    • Mostra profilo
    • E-mail
Re: problema dopo aggiornamento al kernel 2.6.18-238.9.1.el
« Risposta #3 il: 16 Aprile 2011, 14:35:31 »
Ciao,
allora ho aggiornato il kernel di vbox

Codice: [Seleziona]
[root@centos-sassc adriano]# /etc/init.d/vboxdrv setup
Stopping VirtualBox kernel modules                         [  OK  ]
Uninstalling old VirtualBox DKMS kernel modules            [  OK  ]
Trying to register the VirtualBox kernel modules using DKMS[FALLITO]
  (Failed, trying without DKMS)
Recompiling VirtualBox kernel modules                      [  OK  ]
Starting VirtualBox kernel modules                         [  OK  ]
[root@centos-sassc adriano]#

ed ora parte all'avvio.

Per gli aggiornamenti ho controllato il kernel-devel e kernel-header:

Codice: [Seleziona]
root@centos-sassc adriano]# yum install kernel-devel kernel-headers
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
 * addons: centos.mirror.range-id.it
 * base: centos.mirror.range-id.it
 * extras: centos.mirror.range-id.it
 * rpmforge: ftp-stud.fht-esslingen.de
 * updates: centos.mirror.range-id.it
addons                                                                                                         |  951 B     00:00     
adobe-linux-i386                                                                                               |  951 B     00:00     
base                                                                                                           | 2.1 kB     00:00     
base-i386                                                                                                      | 1.1 kB     00:00     
extras                                                                                                         | 2.1 kB     00:00     
rpmforge                                                                                                       | 1.1 kB     00:00     
updates                                                                                                        | 1.9 kB     00:00     
Setting up Install Process
Package kernel-devel-2.6.18-238.9.1.el5.x86_64 already installed and latest version
Package kernel-headers-2.6.18-238.9.1.el5.x86_64 already installed and latest version
Resolving Dependencies
There are unfinished transactions remaining. You might consider running yum-complete-transaction first to finish them.
The program yum-complete-transaction is found in the yum-utils package.
--> Running transaction check
---> Package kernel-devel.i686 0:2.6.18-238.el5 set to be installed
---> Package kernel-headers.i386 0:2.6.18-238.el5 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

======================================================================================================================================
 Package                            Arch                     Version                              Repository                     Size
======================================================================================================================================
Installing:
 kernel-devel                       i686                     2.6.18-238.el5                       base-i386                     5.5 M
 kernel-headers                     i386                     2.6.18-238.el5                       base-i386                     1.1 M

Transaction Summary
======================================================================================================================================
Install       2 Package(s)
Upgrade       0 Package(s)
wwdd
Total download size: 6.6 M
Is this ok [y/N]: y
Downloading Packages:
(1/2): kernel-headers-2.6.18-238.el5.i386.rpm                                                                  | 1.1 MB     00:02     
(2/2): kernel-devel-2.6.18-238.el5.i686.rpm                                                                    | 5.5 MB     00:08     
--------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                 575 kB/s | 6.6 MB     00:11     
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test


Transaction Check Error:
  package kernel-devel-2.6.18-238.5.1.el5.x86_64 (which is newer than kernel-devel-2.6.18-238.el5.i686) is already installed
  package kernel-devel-2.6.18-238.9.1.el5.x86_64 (which is newer than kernel-devel-2.6.18-238.el5.i686) is already installed
  package kernel-headers-2.6.18-238.9.1.el5.x86_64 (which is newer than kernel-headers-2.6.18-238.el5.i386) is already installed

Error Summary
-------------

e sembrano aggiornati!

Il dmesg mi da:

Codice: [Seleziona]
ata4: SATA max UDMA/133 cmd 0x8100 ctl 0x8120 bmdma 0x80d8 irq 193
device-mapper: uevent: version 1.0.3
device-mapper: ioctl: 4.11.5-ioctl (2007-12-12) initialised: dm-devel@redhat.com
device-mapper: dm-raid45: initialized v0.2594l
kjournald starting.  Commit interval 5 seconds
EXT3-fs: mounted filesystem with ordered data mode.
SELinux:  Disabled at runtime.
SELinux:  Unregistering netfilter hooks
type=1404 audit(1302960603.226:2): selinux=0 auid=4294967295 ses=4294967295
Bluetooth: Core ver 2.10
NET: Registered protocol family 31
Bluetooth: HCI device and connection manager initialized
Bluetooth: HCI socket layer initialized
Bluetooth: HCI USB driver ver 2.9
usbcore: registered new driver hci_usb
sky2 driver version 1.22
ACPI: PCI Interrupt 0000:86:00.0[A] -> GSI 17 (level, low) -> IRQ 185
PCI: Setting latency timer of device 0000:86:00.0 to 64
sky2 0000:86:00.0: v1.22 addr 0xd0100000 irq 185 Yukon-2 Extreme rev 2
sky2 eth0: addr d8:d3:85:36:a7:e4
input: PC Speaker as /class/input/input3
shpchp: Standard Hot Plug PCI Controller Driver version: 0.4
ieee80211_crypt: registered algorithm 'NULL'
Floppy drive(s): fd0 is 1.44M
wl: module license 'unspecified' taints kernel.
ACPI: PCI Interrupt 0000:03:00.0[A] -> GSI 17 (level, low) -> IRQ 185
PCI: Setting latency timer of device 0000:03:00.0 to 64
ieee80211_crypt: registered algorithm 'TKIP'
eth1: Broadcom BCM4315 802.11 Hybrid Wireless Controller 5.100.82.38
ACPI: PCI Interrupt 0000:00:1b.0[A] -> GSI 17 (level, low) -> IRQ 185
PCI: Setting latency timer of device 0000:00:1b.0 to 64
Linux video capture interface: v2.00
uvcvideo: Found UVC 1.00 device CNF8243 (04f2:b159)
input: CNF8243 as /class/input/input4
usbcore: registered new driver uvcvideo
USB Video Class driver (v0.1.0)
sd 0:0:0:0: Attached scsi generic sg0 type 0
scsi 1:0:0:0: Attached scsi generic sg1 type 5
sr0: scsi3-mmc drive: 24x/24x writer dvd-ram cd/rw xa/form2 cdda tray
Uniform CD-ROM driver Revision: 3.20
sr 1:0:0:0: Attached scsi CD-ROM sr0
ACPI: PCI Interrupt 0000:01:00.1[B] -> GSI 17 (level, low) -> IRQ 185
PCI: Setting latency timer of device 0000:01:00.1 to 64
floppy0: no floppy controllers found
work still pending
Floppy drive(s): fd0 is 1.44M
floppy0: no floppy controllers found
work still pending
lp: driver loaded but no devices found
NET: Registered protocol family 10
lo: Disabled Privacy Extensions
IPv6 over IPv4 tunneling driver
ACPI: AC Adapter [AC] (off-line)
ACPI: Battery Slot [BAT0] (battery present)
ACPI: Power Button (FF) [PWRF]
ACPI: Sleep Button (CM) [SLPB]
ACPI: Lid Switch [LID]
ACPI: Mapper loaded
dell-wmi: No known WMI GUID found
input: Video Bus as /class/input/input5
ACPI: Video Device [DGFX] (multi-head: yes  rom: no  post: no)
input: Video Bus as /class/input/input6
ACPI: Video Device [GFX0] (multi-head: yes  rom: no  post: no)
md: Autodetecting RAID arrays.
md: autorun ...
md: ... autorun DONE.
device-mapper: multipath: version 1.0.6 loaded
EXT3 FS on sda3, internal journal
kjournald starting.  Commit interval 5 seconds
EXT3 FS on sda2, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
fuse init (API version 7.10)
Adding 5012240k swap on /dev/sda5.  Priority:-1 extents:1 across:5012240k
IA-32 Microcode Update Driver: v1.14a <tigran@veritas.com>
Loading iSCSI transport class v2.0-871.
802.1Q VLAN Support v1.8 Ben Greear <greearb@candelatech.com>
All bugs added by David S. Miller <davem@redhat.com>
cxgb3i: tag itt 0x1fff, 13 bits, age 0xf, 4 bits.
iscsi: registered transport (cxgb3i)
Broadcom NetXtreme II CNIC Driver cnic v2.1.2 (May 26, 2010)
Broadcom NetXtreme II iSCSI Driver bnx2i v2.1.3 (Aug 10, 2010)
iscsi: registered transport (bnx2i)
iscsi: registered transport (tcp)
iscsi: registered transport (iser)
iscsi: registered transport (be2iscsi)
ip6_tables: (C) 2000-2006 Netfilter Core Team
ip_tables: (C) 2000-2006 Netfilter Core Team
Netfilter messages via NETLINK v0.30.
ip_conntrack version 2.4 (8192 buckets, 65536 max) - 304 bytes per conntrack
Bluetooth: L2CAP ver 2.8
Bluetooth: L2CAP socket layer initialized
Bluetooth: RFCOMM socket layer initialized
Bluetooth: RFCOMM TTY layer initialized
Bluetooth: RFCOMM ver 1.8
Bluetooth: HIDP (Human Interface Emulation) ver 1.1
sky2 eth0: enabling interface
sky2 eth0: ram buffer 0K
ADDRCONF(NETDEV_UP): eth0: link is not ready
eth1: no IPv6 routers present
[adriano@centos-sassc ~]$



a questo punto ho paura che non sia un problema di kernel ma di scheda grafica. Ho installato i driver qualche giorno prima dell'aggiornamento del kernel da questa guida
http://linux.collectiontricks.it/wiki/Guida_generica_ai_driver_ATI_closed_%28fglrx%29
ed era andato tutto ok.

Per i repository ho:

Codice: [Seleziona]
[adriano@centos-sassc ~]$ cd /etc/yum.repos.d/
[adriano@centos-sassc yum.repos.d]$ ls -lF
totale 52
-rw-r--r-- 1 root root  179 25 lug  2007 adobe-linux-i386.repo
-rw-r--r-- 1 root root 2400 31 mar 01:40 CentOS-Base.repo
-rw-r--r-- 1 root root 2245 26 apr  2010 CentOS-Base.repo~
-rw-r--r-- 1 root root 1926  8 feb 16:20 CentOS-Base.repo.rpmnew
-rw-r--r-- 1 root root  631  8 feb 16:20 CentOS-Debuginfo.repo
-rw-r--r-- 1 root root  626  8 feb 16:20 CentOS-Media.repo
-rw-r--r-- 1 root root 4663  8 feb 16:20 CentOS-Vault.repo
-rw-r--r-- 1 root root  739 13 nov 04:55 mirrors-rpmforge
-rw-r--r-- 1 root root  717 13 nov 04:55 mirrors-rpmforge-extras
-rw-r--r-- 1 root root  728 13 nov 04:55 mirrors-rpmforge-testing
-rw-r--r-- 1 root root 1113 13 nov 04:55 rpmforge.repo
[adriano@centos-sassc yum.repos.d]$


che dite?
grazie..

Offline nicolatiana

  • Newbie
  • *
  • Post: 1
    • Mostra profilo
Re: problema dopo aggiornamento al kernel 2.6.18-238.9.1.el
« Risposta #4 il: 25 Aprile 2011, 22:03:49 »
Ciao a tutti

Do solo un contributo di testimonianza visto che la macchina dove ho avuto il problema era una nuova installazione e dovevo metterla in produzione e quindi dopo due serate di incavolature ho disintegrato e rifatto (e quindi il problema non è più analizzabile/riproducibile).

Installata una Centos 5.5 64 bit su un Proliant ML 110 G6. Dovendo accedere via TS ad alcune vm (VMware-Player-3.1.4-385536.x86_64 + VMware-VIX-1.10.3-368992.x86_64) in funzione sulla macchina (e volendo evitare accensioni di altri pc) ho aggiunto una scheda nVidia GE8400GS per avere delle prestazioni decenti a video; driver nVidia compilato senza problemi .
Un primo giro di aggiornamenti mi portava al kernel 2.6.18-194.32.1.el5 apparentemente senza problemi.
Poi è sbucata quasi subito un'altra tornata di aggiornamenti (quelli 5.5 -> 5.6) che portavano al kernel 2.6.18-238.5.1.el5, ricompilavo i driver video e lì sono cominciati i problemi riassumibili in:
- hal daemon non partiva;
- videata di login con caratteri illeggibili (rettangoli);
- prestazioni grafiche modeste;
Come detto, due serate di tentativi (compresa la rimozione della scheda nVidia) e ricerche sul web non sono serviti a nulla.
Nel mio caso partire con il vecchio kernel non risolveva.
Al culmine della rottura di palle ho spianato tutto e rifatto il sistema con un DVD direttamente della 5.6 e senza la scheda video aggiuntiva.
Ho fatto per passi gli aggiornamenti e le installazioni dei componenti aggiuntivi ed ora sono al kernel 2.6.18-238.9.1.el5 con la macchina operativa su scheda MGA integrata e prestazioni video accettabili (toccandomi le parti basse a due mani mentre dico tutto ciò . . . .   ;) ).

Saluti

Nicola
« Ultima modifica: 25 Aprile 2011, 22:20:33 da nicolatiana »

Offline adrianokr

  • Jr. Member
  • **
  • Post: 42
    • Mostra profilo
    • E-mail
Re: problema dopo aggiornamento al kernel 2.6.18-238.9.1.el
« Risposta #5 il: 28 Aprile 2011, 18:49:18 »
Allora cercando e facendo un pò di prove qualcosa l'ho risolta.

Il problema delle finestre era il gestore delle finestre, risolto con metacity.

a questo punto ho reinstallato i driver della scheda video ed anche lo spostamento non è più a scatti!

A questo punto nel setup di vbox c'è ancora l'errore nella compilazione del dmsk mostrato di seguito:

Codice: [Seleziona]
[root@centos-sassc adriano]# /etc/init.d/vboxdrv setup
Stopping VirtualBox kernel modules                         [  OK  ]
Uninstalling old VirtualBox DKMS kernel modules            [  OK  ]
Removing old VirtualBox netadp kernel module               [  OK  ]
Removing old VirtualBox netflt kernel module               [  OK  ]
Removing old VirtualBox kernel module                      [  OK  ]
Trying to register the VirtualBox kernel modules using DKMS[FALLITO]
  (Failed, trying without DKMS)
Recompiling VirtualBox kernel modules                      [  OK  ]
Starting VirtualBox kernel modules                         [  OK  ]

ho provato a reinstallare il dkms con gcc (come avevo fatto in origine per le Gest Addition di VBox) ma dopo che scarica il paccheto mi appare:

 
Codice: [Seleziona]
file /usr/libexec/getconf/default from install of gcc-4.1.2-50.el5.i386 conflicts with file from package gcc-4.1.2-50.el5.x86_64

è un evidente conflitto tra il file per il 32 bit (i386) e quello per il 64 bit (x86_64).

Come faccio a risolvere questo conflitto?
grazie